Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1194741 - php: double free in apprentice_map() when Zend Memory Management disabled
Summary: php: double free in apprentice_map() when Zend Memory Management disabled
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1194715
TreeView+ depends on / blocked
 
Reported: 2015-02-20 16:30 UTC by Vasyl Kaigorodov
Modified: 2021-02-17 05:37 UTC (History)
19 users (show)

Fixed In Version: php 5.5.22, php 5.6.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 09:34:20 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-20 16:30:04 UTC
It was reported [1] that when PHP is running with Zend Memory Management disabled, "fileinfo" extension might free() a region of memory twice.
Upstream commit that fixes this:
http://git.php.net/?p=php-src.git;a=commit;h=91aa340180eccfc15d4a143b54d47b8120f898be

[1]: https://bugs.php.net/bug.php?id=68827

Comment 1 Francisco Alonso 2015-03-10 14:32:07 UTC
Fixed upstream in PHP 5.6.6 and 5.5.22:

http://php.net/ChangeLog-5.php#5.6.6
http://php.net/ChangeLog-5.php#5.5.22

Comment 2 Francisco Alonso 2015-03-30 09:34:20 UTC
Statement:

Red Hat Product Security does not consider this bug to have any security impact on the php packages shipped in Red Hat Enterprise Linux. The double free is impossible to trigger because the value of map is NULL at the time efree() is called. When using Zend Memory Manager by default that would result immediately in a Out of memory (OOM) Error.


Note You need to log in before you can comment on or make changes to this bug.